package com.fjhx.mail.service.my;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.dto.MyTagMessageAddBathDto;
import com.fjhx.mail.entity.my.dto.MyTagMessageDto;
import com.fjhx.mail.entity.my.dto.MyTagMessageSelectDto;
import com.fjhx.mail.entity.my.po.MyTagMessage;
import com.fjhx.mail.entity.my.vo.MessageVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 我的标签关联邮件 服务类
 * </p>
 *
 * @author
 * @since 2023-05-29
 */
public interface MyTagMessageService extends BaseService<MyTagMessage> {

    /**
     * 我的标签关联邮件分页
     */
    Page<MessageVo> getPage(MyTagMessageSelectDto dto);

    /**
     * 我的标签关联邮件新增
     */
    void add(MyTagMessageDto myTagMessageDto);

    /**
     * 我的标签关联邮件删除
     */
    void delete(Long id);

    /**
     * 我的标签关联邮件删除
     */
    void deleteTag(MyTagMessage myTagMessage);

    /**
     * 我的标签关联邮件批量新增
     */
    void addBath(MyTagMessageAddBathDto dto);

}
